CanvasesList canvas versions

List canvas versions

List version snapshots for a canvas, ordered by version descending. The canvas must belong to the resolved location.

curl -X GET "https://mythic-analytics.gulp.workers.dev/builder/canvases/123e4567-e89b-12d3-a456-426614174000/versions?location_id=acme-retail" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "canvas_id": "123e4567-e89b-12d3-a456-426614174000",
      "version": 3,
      "snapshot": {},
      "published_at": "2024-12-25T10:00:00Z",
      "created_by": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2024-12-25T10:00:00Z"
    }
  ]
}
GET
/canvases/{id}/versions
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.

Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.
path
idstring
Required

Canvas UUID.

Format: uuid
query
location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need canvases:read or canvases:write. See Using an mcp_ key over HTTP.

Path Parameters

idstring
Required

Canvas UUID.

Query Parameters

location_idstring

Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).

Example:
acme-retail

Responses

dataarray